<?php
declare(strict_types=1);

namespace WP_AUX\Enum;

use WP_AUX\Interfaces\OptionsEnumInterface;
use WP_AUX\Traits\EnumTraits;

enum PageMediaEnum: string implements OptionsEnumInterface
{
  use EnumTraits;

  case None = 'none';
  case Image = 'image';
  case Factoid = 'factoid';

  public const SETTING_LABEL = 'AUX page media option';

  public function label(): string
  {
    return match($this) {
      self::None => 'None',
      self::Image => 'Image',
      self::Factoid => 'Factoid',
    };
  }
}
